.wrapper {
  .box-filter-sgk{
    position: fixed;
    right: 50px;
    top: 110px;
    
    display: flex;
    flex-direction: row;
    gap: 6px;
    button{
      // height: 40px;
      padding: 5px 20px;
      border-radius: 40px;
      background: #C3C9E6;
      span{
        font-weight: 400;
        font-size: 14px;
        line-height: 20px;
        color: #FFFFFF;
        text-shadow: 0px 4px 54px rgba(0, 0, 0, 0.1);
        text-align: center;

      }

      &.active{
        background: #7660FE;
        span{
          font-weight: 700;
          color: #FFFFFF;
        }
      }
    }
  }
  .carousel-class {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: 900px;
    flex: none;
    padding: 0;
    .icon-prev,
    .icon-next {
      cursor: pointer;
      pointer-events: all;
      height: 40px;
      width: 48px;
      flex: none;
      border-radius: 8px;
      display: flex;
      justify-content: center;
      align-items: center;
      svg {
        height: 24px;
        width: 24px;
        path {
          fill: #ef4e2b;
        }
      }

      &.disable {
        pointer-events: none;
        svg {
          height: 24px;
          width: 24px;
          path {
            fill: #c2c3c8;
          }
        }
      }
    }

    .icon-prev {
      svg {
        transform: rotate(180deg);
      }
    }

    .line {
      height: 0;
      width: 25px;
      border: 1px solid #8e91a0;
      transform: rotate(90deg);
    }
    .carousel-container {
      width: 100%;
      height: 40px;
      overflow: hidden;

      .carousel {
        display: flex;
        width: calc(100% * 15 / 6);
        transition: transform 0.5s ease-in-out;
        gap: 8px;
        scroll-behavior: smooth;
      }
    }
    .carousel-item {
      height: 40px;
      width: 102px;
      flex: none;
      font-weight: 600;
      font-size: 16px;
      line-height: 24px;
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }

  .content {
    padding: 10px 20px;
    height: 100%;
    overflow: auto;

    .box-series {
      display: grid;
      grid-template-columns: repeat(6, minmax(0, 1fr));

      @media screen and (max-width:1280px) {
        grid-template-columns: repeat(4, minmax(0, 1fr));
      }
      @media screen and (max-width:1920px) {
        grid-template-columns: repeat(5, minmax(0, 1fr));
      }
      
      row-gap: 20px;
      column-gap: 30px;
      padding: 0 0 20px;

      .item-series {
        background: #ffffff;
        border-radius: 8px;
        flex: none;
        width: 100%;
        padding: 20px 24px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
        border: 1px solid #F4F7FC;
        
        img {
          width: 100%;
          object-fit: cover;
          aspect-ratio: 3 / 4;
          border-radius: 8px;
          border: 1px solid transparent;
          object-position: center;
        }
        .text-item {
          width: 100%;
          text-align: start;
          color: #202226;
          font-weight: 500;
          font-size: 14px;
          line-height: 20px;
          min-height: 20px;
        }
        &.hover:hover {
          box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
          cursor: pointer;
          border: 1px solid #F4F7FC;
            img{
              border: 1px solid #FFFFFF;
              filter: drop-shadow(0px 12px 30px rgba(76, 95, 168, 0.3));
            }
        }

        .boxImageSkeleton{
          width: 100%;
          padding-top: calc( 4 / 3 * 100%);
          background: linear-gradient(90deg, rgba(0, 0, 0, 0.06) 25%, rgba(0, 0, 0, 0.15) 37%, rgba(0, 0, 0, 0.06) 63%);
          background-size: 400% 100%;
          animation-name: loading-animation;
          animation-duration: 1.4s;
          animation-timing-function: ease;
          animation-iteration-count: infinite;
          border-radius: 8px;
        }
        @keyframes loading-animation {
          0% {
              background-position: 100% 50%;
          }
          100% {
              background-position: 0 50%;
          }
          }
      }
    }

    .data-empty{
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      gap: 20px;
      padding: 20px 0;
      img{
        width: 32rem;
        height: 20rem;
      }
    }

    
    .footer{
      height: 50px;
      width: 100%;
      display: flex;
      justify-content: center;
      
      .pagination {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        padding: 20px 0;
  
        button {
          border-radius: 8px;
          font-weight: 500;
          font-size: 14px;
          line-height: 22px;
        }
      }
    }
    
  }
  .loading {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    &::after{
      content: 'Loading...';
      padding: 20px;
      color: #202226;
      font-weight: 600;
      font-size: 14px;
      line-height: 16px;
    }
    & > div {
      border-color: #7C68EE;
      border-right-color: transparent;
    }
  }
  .blur-sticky{
    position: sticky;
    bottom: 10px;
    left: 0;
    width: 100%;
    height: 90px;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 93.23%);
    border-radius: 0px 0px 12px 12px;

    @media screen and (max-width:1820) {
      height: 60px;
    }
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes fadeOut  {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}